<%@ page language="java" import="java.util.*, javax.servlet.http.*, com.ibm.ccl.feedgenerator.composite.*, com.ibm.ccl.feedgenerator.servlets.*;" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%

	String baseURL = FeedServlet.buildBaseURL(request);
	Enumeration e = request.getParameterNames();
	if (!e.hasMoreElements())
	{			
%>
<html>
	<head>
		<title>IBM Rational Feed Generator</title>
		<script src="./com.ibm.ccl.feedgenerator/js/FeedGenerator.js"></script>
		<script src="./com.ibm.ccl.feedgenerator/js/CompositeFeed.js"></script>
		<link href="../topic/com.ibm.help.common.resources.doc/css/help.css" rel="stylesheet" />
		<link href="../topic/com.ibm.ccl.feedreader/css/feeds.css" rel="stylesheet" />
		<link href="./com.ibm.ccl.feedgenerator/images/Composite.css" rel="stylesheet" />
	</head>
	<body>
		<table cellspacing="0" cellpadding="0" style="width:100%;border:0px">
			<tr>
				<td><img alt="RSS" src="./com.ibm.ccl.feedgenerator/images/border_l.png"></img></td>
				<td class="t_border"></td>
				<td><img alt="Left" src="./com.ibm.ccl.feedgenerator/images/border_r.png"></img></td>
			</tr>
		</table>
		
		<!-- Main display table -->
		<table cellpadding="10" style="width:100%;height:90%;">
			<tr style="height:100%;">
				<td valign="top">
					
					<!-- Left panel display table -->
					<table>
						<tr>
							<td>
								<!-- Options Mini Table -->
								<table cellspacing="0" cellpadding="0" style="width:300px;border:0px">
									<tr>
										<td><img src="./com.ibm.ccl.feedgenerator/images/m_border_tl.png"></img></td>
										<td class="m_border_tc">
											<table>
												<tr>
													<td><span class="m_title">Generator</span></td>
													<td style="width:100%;"></td>
													<td valign="right" ><img title="Generate Feed" onMouseDown="buttonDown(this);"  onMouseUp="buttonUp(this);" onClick="onGenerate();" style="position:relative;top:1px;" src="./com.ibm.ccl.feedgenerator/images/m_button_generate.png"></img></td>
												</tr>
											</table>
										<td><img src="./com.ibm.ccl.feedgenerator/images/m_border_tr.png"></img></td>
									</tr>
									<tr>
										<td class="m_border_cl"></td>
										<td style="width:100%;height:100%;">
										
											<!-- Feed generator options form -->
											<form name="search" action="Feeds.jsp" method="get" target="iframe" onsubmit="onGenerate();">
												<table style="font-size:0.75em;width:100%;"}>
													<tr><td colspan="2"><b>General</b></td></tr>
													<tr><td title="Maximum number of results to return (default is 20)">Max hits:</td><td><input id="count"></input></td></tr>
													<tr><td title="Comma separated list of Infocenters to search">ICs:</td><td><input id="ics"></input></td></tr>
													<tr><td title="Include results from this Infocenter">Include this IC:</td><td>
														<select id="includeThisIC">
															<option value="true">Yes</option>
															<option value="false">No</option>
														</select></td></tr>
													<tr><td colspan="2"><hr></hr></td></tr>
													<tr><td colspan="2"><b>Search</b></td></tr>
													<tr><td title="Uses the help search to return results based on given keyword(s)">Keywords:</td><td><input id="keyword"></input></td></tr>
													<tr><td colspan="2"><hr></hr></td></tr>
													<tr><td colspan="2"><b>Metadata</b> (<a target="iframe" href="<%=baseURL%>/feed/metadata">View</a>)</td></tr>
													<tr><td title="Comma separated list of topics with applied subject(s)">Subject(s):</td><td><input id="subjects"></input></td></tr>
													<tr><td title="Include descendants of subject topics">Include children:</td><td>
														<select id="recurse">
															<option value="false">No</option>
															<option value="true">Yes</option>
														</select></td></tr>
<!--													<tr><td colspan="2"><hr></hr></td></tr>
													<tr><td></td><td align="center"><input type="button" onClick="onGenerate();" value="Generate" ></td></tr>
													<tr><td></td><td align="center"><input type="submit" onClick="onGenerate();" value="Generate" ></td></tr>
			-->									</table>
												</form>
										</td>
										<td class="m_border_cr"></td>
									</tr>
									<tr>
										<td><img src="./com.ibm.ccl.feedgenerator/images/m_border_bl.png"></img></td>
										<td class="m_border_bc"></td>
										<td><img src="./com.ibm.ccl.feedgenerator/images/m_border_br.png"></img></td>
									</tr>
								</table>
								<!-- End Options Mini Table -->
								
							</td>
						</tr>
						<tr><td style="height:20px;"></td></tr>
						<tr>
							<td>
								<!-- Reader Mini Table -->
								<table cellspacing="0" cellpadding="0" style="width:300px;border:0px">
									<tr>
										<td><img src="./com.ibm.ccl.feedgenerator/images/m_border_tl.png"></img></td>
										<td class="m_border_tc">
											<table>
												<tr>
													<td><span class="m_title">Reader</span></td>
													<td style="width:100%;"></td>
													<td valign="right" ><img title="Preview Feed" onMouseDown="buttonDown(this);"  onMouseUp="buttonUp(this);" onClick="onDisplay();" style="position:relative;top:1px;" src="./com.ibm.ccl.feedgenerator/images/m_button_view.png"></img></td>
												</tr>
											</table>
										<td><img src="./com.ibm.ccl.feedgenerator/images/m_border_tr.png"></img></td>
									</tr>
									<tr>
										<td class="m_border_cl"></td>
										<td style="width:100%;height:100%;">
										
											<!-- Feed Reader options form -->
											<form name="search" action="Feeds.jsp" method="get" target="iframe" onsubmit="onGenerate();">
												<table style="font-size:0.75em;width:100%;">
													<tr><td colspan="2"><b>General</b></td></tr>
													<tr><td title="Maximum number of results to show (default is 5)">Max hits:</td><td><input id="r_count"></input></td></tr>
													<tr><td title="Show a brief description of each result, if available">Show Abstract:</td><td>
														<select id="abstract">
															<option value="false">No</option>
															<option value="true">Yes</option>
														</select></td></tr>
													<tr><td title="Show the list expanded on page load">Expanded:</td><td>
														<select id="expand">
															<option value="false">No</option>
															<option value="true">Yes</option>
														</select></td></tr>
													<tr><td colspan="2"><hr></hr></td></tr>
													<tr><td colspan="2"><b>Dates</b></td></tr>
													<tr><td title="Show entry dates, if available">Show Date:</td><td>
														<select id="dates">
															<option value="false">No</option>
															<option value="true">Yes</option>
														</select></td></tr>
													<tr>
														<td title="Only show results after this date (click for example of date format)">
															<a href="javascript:void(0);" onclick="fillDate('startDate');">Start Date:</a>
														</td>
														<td><input id="startDate"></input></td>
													</tr>
													<tr>
														<td title="Only show results before this date (click for example of date format)">
															<a href="javascript:void(0);" onclick="fillDate('endDate');">End Date:</a>
														</td>
														<td><input id="endDate"></input></td>
													</tr>
													<tr><td colspan="2"><hr></hr></td></tr>
													<tr><td colspan="2" title="Add a feed here to preview, instead of using the feed generator"><b>External Feed</b></td></tr>
													<tr><td colspan="2"><input id="xFeed"></input></td></tr>
												</table>
											</form>
										</td>
										<td class="m_border_cr"></td>
									</tr>
									<tr>
										<td><img src="./com.ibm.ccl.feedgenerator/images/m_border_bl.png"></img></td>
										<td class="m_border_bc"></td>
										<td><img src="./com.ibm.ccl.feedgenerator/images/m_border_br.png"></img></td>
									</tr>
								</table>
								<!-- End Reader Mini Table -->
														
							
					</table>
				</td>
				<td style="width:100%;">
					<!-- Results Mini Table -->
					<table cellspacing="0" cellpadding="0" style="width:100%;height:100%;border:0px">
						<tr>
							<td><img src="./com.ibm.ccl.feedgenerator/images/m_border_tl.png"></img></td>
							<td class="m_border_tc">
								<table style="width:100%;">
									<tr>
										<td><span class="m_title">Feed</span></td>
										<td align="right" style="width:100%;">
											<input id="url" style="width:95%;"></input>
										</td>
										<td><img title="Refresh" onMouseDown="buttonDown(this);" onMouseUp="buttonUp(this);" onClick="onUpdate();" style="position:relative;top:1px;" src="./com.ibm.ccl.feedgenerator/images/m_button_refresh.png"></img></td>
									</tr>
								</table>
							</td>
							<td><img src="./com.ibm.ccl.feedgenerator/images/m_border_tr.png"></img></td>
						</tr>
						<tr style="height:100%;">
							<td class="m_border_cl"></td>
							<td style="width:100%;height:100%;">
								<iframe id="iframe" name="iframe" style="width:100%;height:100%;position:relative;left:-2px;top:-2px;"></iframe>
							</td>
							<td class="m_border_cr"></td>
						</tr>
						<tr>
							<td><img src="./com.ibm.ccl.feedgenerator/images/m_border_bl.png"></img></td>
							<td class="m_border_bc"></td>
							<td><img src="./com.ibm.ccl.feedgenerator/images/m_border_br.png"></img></td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
	</body>
</html>
<%
	}
	else
	{
		CompositeServlet servlet = new CompositeServlet();
		servlet.processRequest(request,response);
	}

%>
