/*
 * Licensed Material - Property of IBM 
 * (C) Copyright IBM Corp. 2010 - All Rights Reserved.
 * US Government Users Restricted Rights - Use, duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp. 
 */

// --------------------------------------------------
// Localized Strings -- User Assistance Web Delivery 
// --------------------------------------------------

{
updateInProgressMsg : "Nota: No pulse el botón Atrás del navegador mientras la actualización está en progreso",
installInProgressMsg : "Nota: No pulse el botón Atrás del navegador mientras la instalación está en progreso",
uninstallInProgressMsg : "Nota: No pulse el botón Atrás del navegador mientras la desinstalación está en progreso",
publicSiteslbl : "Sitios públicos",
internalSiteslbl : "Sitios internos",
siteNamelbl : "Nombre",
siteLoclbl : "Ubicación",
availFeaturelbl : "Características disponibles",
installFeaturelbl : "Características instaladas",
featureDesclbl : "Descripción de característica",
includedFeatureslbl : "Características incluidas",
installlbl : "Instalar",
removelbl : "Eliminar",
featurelbl : "Característica",
installSizelbl : "Tamaño de instalación",
statuslbl : "Estado",
addSitelbl : "Añadir sitio interno",
viewEditSitelbl : "Ver y editar sitio interno",
siteTypelbl : "Tipo de sitio",
namelbl : "Nombre",
oklbl : "Aceptar",
cancellbl : "Cancelar",
restartmsg : "El sistema de ayuda se reiniciará ahora para que los cambios surtan efecto",
installfailedmsg : "No se ha podido instalar la característica",
errorConnectmsg : "No se ha podido conectar al URL del sitio",
noFeaturemsg : "No se han encontrado características",
searchFeaturemsg : "Buscar actualizaciones",
seeLogMsg : "Consulte las anotaciones para obtener más detalles",

featureDescriptionlbl : "Descripción de característica",
includedFeaturelbl: "Características incluidas",
clearlbl: "Borrar",
messagelbl: "Mensaje",
typelbl : "Tipo",
warninglbl : "Aviso",
messageerrorlbl : "Error",
infolbl : "Información",
installingFeaturelbl : "Instalando característica",
uninstallingFeaturelbl : "Desinstalando característica",
updatesAppliedlbl : "Actualizaciones aplicadas",
sitesSavedlbl : "Sitios guardados satisfactoriamente",
savingSitelbl : "Guardando sitio local",
locallbl : "Local",
remotelbl : "Remoto",
processFeatureslbl : "Procesando características...",
restartWaitlbl : "Espere mientras se reinicia el sistema de ayuda para que los cambios surtan efecto.",
platformResetlbl : "Se ha restablecido la plataforma. Debe reiniciar el producto para que los cambios surtan efecto.",
retrieveFeatureslbl : "Recuperando características...",
contactServerlbl : "Contactando con el servidor...",
searchForUpdateslbl : "Buscando actualizaciones...",
prepareInstalllbl : "Preparando la instalación...",
prepareUninstalllbl : "Preparando la desinstalación..",
selectUpdateSitelbl : "Seleccione sitios en los que buscar actualizaciones.",
errorResettinglbl : "Error al reiniciar el sistema de ayuda",
errorConnectingPlatformlbl: "Error al conectar con la plataforma",
runinbckgrndlbl : "Ejecutar en segundo plano",
errorFFBrowserSecuritylbl : 'No se puede acceder a los archivos locales debido a los valores de seguridad del navegador.<br/>Siga estos pasos para acceder a los archivos locales:<br/>(1) En el campo URL de la ventana del navegador, escriba about:config. En el navegador se mostrará la página de preferencias de configuración.<br/>(2) En la página de preferencias de configuración visualizada, pulse con el botón derecho del ratón y seleccione Nuevo >Booleano en el menú de contexto.<br/>(3) Teclee "signed.applets.codebase_principal_support" (sin las comillas) como nombre de preferencia nueva.<br/>(4) Pulse Aceptar.<br/>(5) Intente volver a añadir el archivo "site.xml".',
errorRelativePathNotAllowed : "El archivo '{0}' no puede cargarse: no se permiten vías de acceso relativas. Proporcione una vía de acceso absoluta para este archivo.",
errorFileNotFound : "No se ha encontrado el archivo '{0}'.",
errorIEBrowserSecuritylbl : 'No se puede acceder a los archivos locales debido a los valores de seguridad del navegador.<br/>Siga estos pasos para acceder a los archivos locales:<br/>(1) Pulse Herramientas > Opciones de Internet en la ventana de Internet Explorer.<br/>(2) En la pestaña Seguridad, pulse Nivel personalizado.<br/>(3) Habilite el valor Inicializar y generar script de los controles ActiveX no marcados como seguros.<br/>(4) Pulse Aceptar.<br/>(5) Intente volver a añadir el archivo "site.xml".',
errorNoFilePermission : "No se puede acceder al archivo local '{0}' debido a los permisos de archivo. Asegúrese de que el archivo y/o los directorios padre pueden leerse.",
infoOperationRunning : "Hay una operación ejecutándose.<br/>Espere por favor...",
errorReadFeatureList : "Se ha producido un error al leer las características seleccionadas",
infoInstallDependencyFeature : "La característica seleccionada necesita {0}.<br/><br/>Para ver los temas de ayuda, también debe instalarse {1}.",
infoUninstallDependencyFeature : "{0} necesita la característica que ha seleccionado para desinstalar.<br/><br/>{1} también debe desinstalarse.",
confirmCancelInstall : "La cancelación de la instalación actual llevará al estado antiguo, lo que tardará algunos minutos. ¿Desea continuar?",
readPendingTask : "Leyendo operaciones pendientes de la última sesión.<br/>Espere por favor...",
readRollbackFeatureList : "Leyendo la información de características para retrotraer la instalación actual.<br/>Espere por favor...",
errorReadPendingTaskFailed : "Se ha producido un error al leer la operación pendiente de la última sesión",
infoCancelInProgress : "Cancelando la operación actual.<br/>Espere por favor...",
allsiteslbl : "Todos los sitios",
publicsiteslbl : "Sitios públicos",
internalsiteslbl : "Sitios internos",
installedappcontentlbl : "Contenido de la aplicación instalado",
downloadfeatures : "Descargando características...",
installfeatures : "Instalando software...",
uninstallfeatures : "Eliminando software...",
updatefeatures : "Actualizando software...",
showstatuslbl : "Mostrar detalles",
aboutLocalHelpSystem : "Sobre el sistema de ayuda local...",
lhuTitle : "Actualizador de ayuda local",
dependencyFound : "Se ha encontrado una dependencia"
}
