<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" import="
  java.io.IOException, 
  org.eclipse.help.HelpSystem, 
  java.util.*, 
  com.ibm.war.updater.activator.*, 
  com.ibm.ut.help.common.web.*, 
  com.ibm.ut.help.common.prefs.*, 
  com.ibm.ut.help.common.error.*,
  com.ibm.ut.help.common.*, 
  com.ibm.ut.help.common.security.*, 
  com.ibm.war.updater.utils.*, 
  com.ibm.ccl.help.webapp.war.updater.utils.*, 
  javax.servlet.http.*, 
  org.eclipse.core.runtime.Preferences;"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<%
	response.setHeader("Cache-Control", "no-store, no-cache, must-revalidate");
	Locale locale = LocaleUtil.getLocale(request);
	Locale enLocale = new Locale("en");
	IAuthenticator auth = com.ibm.war.updater.activator.Activator.getAuthenticator();
	AuthDetails details = AuthHelper.userAuth(request,response);


	
	//Get Resource bundle
	
    //Localization of Strings
	String lang = locale.toString();
	String localeName = lang.replace('_', '-');
	
	ArrayList filesToDelete = (ArrayList)session.getAttribute("filesToDelete");
	if(filesToDelete!=null)
		session.setAttribute("filesToDelete",null);		

	String clearCacheURL = request.getParameter("clearCacheURL");
	session.setAttribute("clearCacheURL",clearCacheURL);	
	
	String optionsDialogTitle = Messages.getString("addSitelbl", locale).replace("\"","");
	String progressDialogTitle = Messages.getString("processFeatureslbl", locale).replace("\"","");
	String errorMessageLabelDialogTitle = Messages.getString("messageerrorlbl", locale).replace("\"","");
	String warningMessageLabelDialogTitle = Messages.getString("warninglbl", locale).replace("\"","");
	String dependencyFoundDialogTitle = Messages.getString("dependencyFound", locale).replace("\"","");
	
	boolean showBanner = request.getParameter("banner")==null || request.getParameter("banner").equals("true");
	
%>

<html>
    <head>
    	<meta http-equiv="PRAGMA" content="NO-CACHE">
    	<meta http-equiv="X-UA-Compatible" content="IE=7" />
        <title><%= Messages.getString("lhuTitle", locale)%></title>
        <link rel="STYLESHEET" type="text/css" href="./banner/banner.css" />
        <link rel="STYLESHEET" type="text/css" href="./css/admin.css" />
	    <link rel="STYLESHEET" type="text/css" href="../com.ibm.ut.help.common/css/utcommon.css" />
        <script type="text/javascript" src="../com.ibm.ut.help.common/scripts/utcommon.js"></script>     
        <script type="text/javascript" src="../com.ibm.ccl.help.webapp.war.updater.servlets.TranslationsService/com.ibm.war.updater.utils.messages.js?lang=<%=lang%>"></script>
        
        <style type="text/css">
            @import "../dojotoolkit/dojo/resources/dojo.css";
            @import "../dojotoolkitext/ibm/themes/jazz/jazz.css";
            @import "../dojotoolkitext/ibm/themes/jazz/Grid.css";
			@import "../dojotoolkit/dojox/form/resources/FileInput.css";
			@import "../dojotoolkitext/ibm/widget/resources/FileInput.css";
			@import "../dojotoolkitext/ibm/widget/resources/CheckTree.css";
			
            @import "../edojo/ibm/widget/resources/ErrorDialog.css";
			
			@import "css/customStyles.css";
			@import "css/configuration.css";
			
            html, body {
            	width:100%; /* make the body expand to fill the visible window */
            	height:100%;
            	min-height:900px;
            /*	overflow: hidden; /* erase window level scrollbars */
            	padding: 0 0 0 0;
            	margin: 0 0 0 0;
            /*	color: WindowText;  */
            }
            .utAccountDetails {
				padding: 6px;
			}
        </style>
        <script type="text/javascript" src="../dojotoolkit/dojo/dojo.js.uncompressed.js" djConfig="isDebug:false, parseOnLoad: true, locale:'<%= localeName %>'"></script>
		
        <script type="text/javascript">dojo.require("dijit.layout.BorderContainer");
			dojo.require("dijit.layout.ContentPane");
			dojo.require("dijit.TitlePane");
			dojo.require("dijit.ProgressBar");
			dojo.require("dijit.Menu");
			dojo.require("dojox.grid.DataGrid");
			dojo.require("dijit.form.Form");
			dojo.require("dijit.form.Select");
			dojo.require("dijit.form.ToggleButton");
			dojo.require("dijit.layout.TabContainer");
			dojo.require("dijit.Toolbar");
			dojo.require("dijit.Dialog");
			dojo.require("dojo.fx");
			dojo.require("dojox.collections.ArrayList");
			dojo.require("dojo.i18n");
			dojo.require("dijit.form.CheckBox");
			dojo.require("dojo.data.ItemFileReadStore");
			dojo.require("dojo._base.json");
			dojo.require("dijit.form.ValidationTextBox");
			dojo.require("dojo.io.iframe"); 
			
			dojo.require("dojo.parser");    // scan page for widgets and instantiate them
			dojo.require("dijit.form.TextBox");
			dojo.require("dijit.Tooltip");
			
			dojo.registerModulePath("translations", "../../updater/translations");
			dojo.requireLocalization("translations", "updater_strings");
			
			dojo.registerModulePath("ibm", "../../dojotoolkitext/ibm");
			dojo.require("ibm.widget.CheckTree");
			dojo.require("ibm.widget.FileInput");
			dojo.require("ibm.widget.TooltipEx");
			dojo.require("ibm.widget.PreferenceToggleButton");
			dojo.require("ibm.data.RESTItemStore");
			
			
			dojo.registerModulePath("ibm", "../../edojo/ibm");
			dojo.require("ibm.widget.ErrorDialog");
			
			var ALL_SITES = <%= Messages.getString("allsiteslbl", locale)%>;
			var PUBLIC_SITES = <%= Messages.getString("publicsiteslbl", locale)%>;
			var INTERNAL_SITES = <%= Messages.getString("internalsiteslbl", locale)%>;
			var FAVORITES_SITES = <%= Messages.getString("favoriteslbl", locale)%>;
			var INSTALL_COMPLETE = '<%= Messages.getString("installComplete", locale)%>';
			var UNINSTALL_COMPLETE = '<%= Messages.getString("uninstallComplete", locale)%>';
			
			var featurelbl = '<%=Messages.getString("featurelbl", locale)%>';
			
			var YES = '<%=MessageLibrary.getString("Yes",locale)%>';
			var NO = '<%=MessageLibrary.getString("No",locale)%>';
			var RETRY = '<%=MessageLibrary.getString("Retry",locale)%>';
			var ERROR = '<%=MessageLibrary.getString("Error",locale)%>';
			
			var LANG = '<%=lang%>';
			
			
            dojo.addOnLoad(function(){

				init();
				var ss = new dijit.form.Select({
					name: 'siteSelector',
					id: 'siteSelector',
					onChange: function(){siteSelected();},
					style:"width:125px;",
					options: [{
	                	label: '<%= Messages.getString("allsiteslbl", locale).replaceAll("\"","")%>',
	                	value: 'none',
	                	selected: true
	                },
	                {	
	                	label: '<%= Messages.getString("publicsiteslbl", locale).replaceAll("\"","")%>',
	                	value: 'public'
	                },
	                {
	                	label: '<%= Messages.getString("internalsiteslbl", locale).replaceAll("\"","")%>',
	                	value: 'internal'
	                },
	                {
	                	label: '<%= Messages.getString("favoriteslbl", locale).replaceAll("\"","")%>',
	                	value: 'favorites'
	                }]
				});	
				var saved = '<%=request.getParameter("siteSelector")%>';
				if (saved=='null')
					saved = dojo.cookie('updater.updatewar.siteSelector');
				if (saved)
					ss.attr('value',saved);
				
				ss.tableNode.style.margin = '0';
				ss.tableNode.style.position = 'relative';
				if (!dojo.isIE)
					ss.tableNode.style.top = '-1px';	
					
				var labelSpan = document.createElement('span');
				labelSpan.appendChild(document.createTextNode('<%= Messages.getString("filterlbl", locale)%>: '));
//				labelSpan.style.position = 'relative';
//				labelSpan.style.top = '1px';
				
				var filterSpan = document.createElement('span');
				filterSpan.style.margin = '0';
				filterSpan.style.cssFloat = 'right';
				filterSpan.style.styleFloat = 'right';
				filterSpan.appendChild(labelSpan);
				filterSpan.appendChild(ss.domNode);		
				
				
				var container = dijit.byId('availableContentContainer');
				container._onTitleClick = function(){};
				container.arrowNode.style.display = 'none';
				container.titleNode.appendChild(filterSpan);
				
				new dijit.Tooltip({
			        connectId: ss.domNode,
//			        close: function(){},
			        label: '<%=com.ibm.war.updater.activator.Activator.getCSHForJS("com.ibm.ccl.help.webapp.war.updater.LHUContentFilter",locale)%>'
			    });
			});
					
			
			dijit.Tooltip.defaultPosition = ["above", "below"];
            function logout()
            {
            	dojo.cookie('<%=auth.getClass().getName()%>','',{path:'<%=request.getContextPath()%>'});
            	window.location.reload();
            }
        </script>
		<script type="text/javascript" src="scripts/ProgressBar.js"></script>
        <script type="text/javascript" src="scripts/ProgressTooltip.js"></script>
        <script type="text/javascript" src="scripts/popupContextMenu.js"></script>
		<script type="text/javascript" src="scripts/readItemData.js"></script>
		<script type="text/javascript" src="scripts/updateActions.js"></script>
		<script type="text/javascript" src="scripts/localSites.js"></script>
    </head>
    <body class="jazz" onresize = "resizePage()">
    	<div dojoType="ibm.DynamicReadStore" jsId="sitesTreeStore" url="config?op=SiteInfo&filter=none" useCookies="false"></div>
    	<div dojoType="ibm.DynamicTreeModel" store="sitesTreeStore" jsid="sitesTreeModel" useCookies="false"></div>
		<!-- <div dojoType="ibm.DynamicTreeModel" store="sitesTreeStore" jsid="sitesTreeModel" showRoot="false" useCookies="false"></div> -->
		
		<!-- Installed Features datastore -->
		<!-- <div dojoType="dojo.data.ItemFileReadStore" url="config?op=SiteInfo&link=local&checkUpdates=false" jsId="installedFeaturesStore"></div> -->
    	<span dojoType="ibm.data.RESTItemStore" 
    		jsId="installedGridStore"
    		clearOnClose="true"
    		useIdentifier="true"
    		url="./config?op=SiteInfo&link=local&checkUpdates=true&lang=<%=lang%>">
    	</span>
<%
	if (showBanner){
%>
		<!-- BEGIN IBM BANNER -->
		<div class="bannerContainer">
			<div class="headerContainer">
				<div class="headerCenter">
					<div class="headerLeft"></div>
					<div class="headerRight"></div>
				</div>
			</div>
			<div class="bannerContent">
				<div class="helpLogo"></div>
				<div class="helpTitle"><%= Messages.getString("lhuTitle", locale)%></div>
				<div class="ibmLogo"></div>
			</div>
		</div>
	    <!-- END IBM BANNER -->

		<table class="banneredTable" cellspacing="15">
		<tr style="height:30px;">
<%
	}else{
%>	
		<table class="mainTable" cellspacing="15">
		<tr style="height:50px;">
			<td><span class="mainTitle"><%= Messages.getString("lhuTitle", locale)%></span></td>
<%	}	%>	
			<td align="right" colspan="3" style="position:relative"><table style="width:100%;" class="jazz_clear">
				<tr>
					<td align="right">
						<table>
							<tr>
<%	if (!UserAdminAuthenticator.getAccessType().equals("local")){	%>
								<td>
									<div class="utAccountDetails">
										<span><%=MessageLibrary.getString("User",locale)%>: <b><%=details!=null ? details.getUser() : ""%></b></span>
										<a name="logout" id="logout" href="javascript:logout();">(<%=MessageLibrary.getString("LogOut",locale)%>)</a>
									</div>
								</td>
<%	}	%>
								<td>
									<button id="addSiteButton" dojoType="dijit.form.Button" showLabel="false" iconClass="UA_Icons addSite" 
											style="alignment:right;" onclick="addSite()">
									</button>
								</td>
								<td>
									<button id="editSiteButton" dojoType="dijit.form.Button" showLabel="false" iconClass="UA_Icons editSite" 
											style="alignment:right;" onclick="editSiteButton()">
									</button>
								</td>
								<td>
									<button id="removeSiteButton" dojoType="dijit.form.Button" showLabel="false" iconClass="UA_Icons removeSite" 
											style="alignment:right;" onclick="removeSite()">
									</button>
								</td>
								<td>
									<button dojoType="ibm.widget.PreferenceToggleButton" 
										id="autoUpdatesCheck"
										url="../com.ibm.ut.help.common.prefs.UpdaterPreferences/com.ibm.ccl.help.webapp.war.updater.shouldAutomaticUpdate"
										checked="<%=UpdaterPreferences.getAutoUpdate()%>"
										iconClass="dijitCheckBoxIcon">
										<%= Messages.getString("autoupdateslbl", locale) %>
									</button>
								</td>
								<td align="left">
									<span class="headerContent"></span>
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
			</td>
		</tr>
		<tr style="height:50px;">
			<td colspan="3">
				<p class="mainDescription">					
					<%=HelpSystem.getContext("com.ibm.ccl.help.webapp.war.updater.LHUPageDesc",locale.toString()).getText()%>
				</p>
			</td>
		</tr>
		<tr style="height:400px;">	
			<td class="left">						

				<div class="jazz_clear" dojoType="dijit.TitlePane"
						region="leading" 
						id="availableContentContainer"
						title='<span style="float:left;margin-left:10px;"><%=Messages.getString("availableContent",locale)%></span>'>
					<div id="innerPaneDiv">
						<table style="height:100%;">
								<tr>
								<td>
									<div id="treeContainer">
										<div dojoType="ibm.widget.CheckTree"
											showRoot="false"
											persist="false"
											model="sitesTreeModel"
											label="Site List" 
											labelAttr="title" 
											jsId="tree"
											id="tree"
											useCookies="false">
										</div>
									</div>
								</td>
							</tr>
						</table>
					</div>
				</div>
			</td>

			<td class="center">			
				<table style="width:100%">
					<tr>
						<td>
							<button style="width:100%;" class="dijitButton" id="downloadButton" dojoType="dijit.form.Button" iconClass="UA_Icons installArrowIcon" onclick="handleInstallAction()">
								<%= Messages.getString("installlbl", locale)%>
							</button>
						</td>
					</tr>
					<tr>
						<td>
							<button  style="width:100%;" class="dijitButton" id="removeButton" dojoType="dijit.form.Button" iconClass="UA_Icons removeArrowIcon" onclick="handleRemoveAction()">
								<%= Messages.getString("removelbl", locale)%>
							</button>
						</td>
					</tr>
<!--					
					<tr>
						<td>
							<button  style="width:100%;" class="dijitButton" id="updateButton" dojoType="dijit.form.Button" iconClass="UA_Icons installUpdate" onclick="handleUpdateAction()">
								<%= Messages.getString("updatelbl", locale)%>
							</button>
						</td>
					</tr>
-->					
				</table>
			</td>
			
			<td class="right">
				<div class="fileHeader jazz_clear" dojoType="dijit.TitlePane" region="top" title="<%=Messages.getString("installedContent",locale)%>">	
					<table id="installedGrid"
						jsId="installedGrid"
						dojoType="dojox.grid.DataGrid"
						query="{ uid: '*' }"
						store="installedGridStore"
						clientSort="true"
						rowSelector="16px"
						selectionMode="none"
						autoheight="true">
						<thead>
							<tr>
								<th width="5%" field="uid" editable="false" formatter="formatCheckBox">
									&nbsp;
								</th>
								<th width="5%" field="update" formatter="formatUpdateImg">
									&nbsp;
								</th>
								<th width="90%" field="title" formatter="removeButtonFormatter">
									<%=Messages.getString("featurelbl",locale)%>
								</th>
							</tr>
						</thead>
					</table>
				</div>
			</td>
		</tr>
		<tr style="height:50%;"><td>&nbsp;</td></tr>
		</table>





			
			<div dojoType="dijit.layout.ContentPane" 
					jsId="runinbckgrndPane" 
					id="runinbckgrndPane" 
					region="bottom" 
					splitter="false" 
					onClick="showStatusProgressbar()" 
					align="right">
				<table>
					<tr>
						<td>
							<div id="runinbckgrndStatusbar" style="text-align:left; padding:0 6px;width: 450px;" jsId="runinbckgrndStatusbar" dojoType="dijit.layout.ContentPane" parseOnLoad="true"></div>
						</td>
						<td>
							<div dojoType="dijit.ProgressBar" jsId="runinbckgrndProgressbar" id="runinbckgrndProgressbar" style="width: 180px;"></div>
						</td>
					</tr>
				</table>
			</div>

			</div>

		<!-- END MAIN CONTAINER -->
		
		<!-- BEGIN TOOLTIP DECLARATION -->
		<div dojoType="dijit.Tooltip" id="download_tooltip" connectId="downloadButton">
			<%= Messages.getString("downloadtooltip", locale)%>
		</div>
		<div dojoType="dijit.Tooltip" id="remove_tooltip" connectId="removeButton" position="below">
			<%= Messages.getString("removetooltip", locale)%>
		</div>
		
		<div dojoType="dijit.Tooltip" id="addSite_tooltip" connectId="addSiteButton">
			<%= Messages.getString("addSitetooltip", locale)%>
		</div>
		<div dojoType="dijit.Tooltip" id="editSite_tooltip" connectId="editSiteButton">
			<%= Messages.getString("editSitetooltip", locale)%>
		</div>
		<div dojoType="dijit.Tooltip" id="removeSite_tooltip" connectId="removeSiteButton">
			<%= Messages.getString("removeSitetooltip", locale)%>
		</div>
		<div dojoType="dijit.Tooltip" id="comboFilter_tooltip" connectId="comboFilter">
			<%= Messages.getString("combofiltertooltip", locale)%>
		</div>
		
		<div dojoType="dijit.Tooltip" id="update_tooltip" connectId="updateButton">
			<%= Messages.getString("updatetooltip", locale)%>
		</div>
		<div dojoType="dijit.Tooltip" id="chkAuto_tooltip" connectId="chkAutoUpdates">
			<%= Messages.getString("chkautotooltip", locale)%>
		</div>
		
		<div dojoType="dijit.Tooltip" id="file_tooltip" connectId="fileInputLabel" position="below">
			<%= Messages.getString("localTypeTooltip",locale)%>
		</div>
		<div dojoType="dijit.Tooltip" id="url_tooltip" connectId="URLInputLabel" position="below">
			<%= Messages.getString("remoteTypeTooltip",locale)%>
		</div>
		<div dojoType="dijit.Tooltip" id="siteType_tooltip" connectId="siteTypeLabel" position="above">
			<%= Messages.getString("typeTooltip",locale)%>
		</div>
		<div dojoType="dijit.Tooltip" id="filter_tooltip" connectId="siteSelector" position="above">
		</div>
		
		<!-- END TOOLTIP DECLARATION -->
		
		<!-- BEGIN CONTEXT MENU DECLARATION FOR TREE -->
		<ul dojoType="dijit.Menu" id="tree_menu" style="display: none;">
			<li dojoType="dijit.MenuItem" id="addSitePopup" iconClass="UA_Icons addSite" onClick="addSite()"><%= Messages.getString("addSiteTreePopuplbl", locale)%></li>
			<li dojoType="dijit.MenuItem" id="editSitePopup" iconClass="UA_Icons editSite" onClick="editSitePopup()"><%= Messages.getString("editSiteTreePopuplbl", locale)%></li>
			<li dojoType="dijit.MenuItem" id="removeSitePopup" iconClass="UA_Icons removeSite" onClick="removeSitePopup()"><%= Messages.getString("removeSiteTreePopuplbl", locale)%></li>
			<!-- <li dojoType="dijit.MenuItem" id="removeAllSitesPopup" iconClass="UA_Icons removeSite" onClick="removeSite()"><%= Messages.getString("removeAllSitesTreePopuplbl", locale)%></li> -->
			<li dojoType="dijit.MenuItem" id="installPopup" iconClass="UA_Icons installArrowIcon" onClick="handleSingleInstallAction()"><%= Messages.getString("installTreePopuplbl", locale)%></li>
			<li dojoType="dijit.MenuItem" id="installAllPopup" iconClass="UA_Icons installArrowIcon" onClick="handleInstallAction()"><%= Messages.getString("installAllTreePopuplbl", locale)%></li>
			<li dojoType="dijit.MenuItem" id="removeTreePopup" iconClass="UA_Icons removeArrowIcon" onClick="handleSingleRemoveTreeAction()"><%= Messages.getString("removeTreePopuplbl", locale)%></li>
			<li dojoType="dijit.MenuItem" id="addFavoritePopup" iconClass="UA_Icons addFavorite" onClick="addFavorite()"><%= Messages.getString("addFavoriteTreePopuplbl", locale)%></li>
			<li dojoType="dijit.MenuItem" id="removeFavoritePopup" iconClass="UA_Icons removeFavorite" onClick="removeFavorite()"><%= Messages.getString("removeFavoriteTreePopuplbl", locale)%></li>
		</ul>
		<!-- END CONTEXT MENU DECLARATION FOR TREE -->
		
		<!-- BEGIN CONTEXT MENU DECLARATION FOR GRID -->
		<ul dojoType="dijit.Menu" id="grid_menu" style="display: none;">
			<li dojoType="dijit.MenuItem" id="removePopup" iconClass="UA_Icons removeArrowIcon" onClick="handleSingleRemoveAction()"><%= Messages.getString("removeGridPopuplbl", locale)%></li>
			<li dojoType="dijit.MenuItem" id="removeAllPopup" iconClass="UA_Icons removeArrowIcon" onClick="handleRemoveAction()"><%= Messages.getString("removeAllGridPopuplbl", locale)%></li>
			<li dojoType="dijit.MenuItem" id="updatePopup" iconClass="UA_Icons installUpdate" onClick="handleSingleUpdateAction()"><%= Messages.getString("updateGridPopuplbl", locale)%></li>
			<li dojoType="dijit.MenuItem" id="updateAllPopup" iconClass="UA_Icons installUpdate" onClick="handleUpdateAction()"><%= Messages.getString("updateAllGridPopuplbl", locale)%></li>
		</ul>
		<!-- END CONTEXT MENU DECLARATION FOR GRID -->
		
		<!-- Dojo Pop-up dialog - ADD INTERNAL SITES -->
		<div dojoType="dijit.Dialog" id="optionsDialog" title="<%=optionsDialogTitle%>" style="overflow: hidden;">
			<div dojoType="dijit.form.Form" id="optionsForm" encType="multipart/form-data" action="" method="">
			    <script type="dojo/method" event="onSubmit">
			        if (this.validate())
			            siteDialogOK();
			        return false;
			    </script>
				<table>
					<tr>
						<td style="text-align:left;"><label for="optionsDialog" id="siteTypeLabel" class="help_csh"><%=Messages.getString("siteTypelbl", locale)%>: </label></td>
						<td>
							<form id="radioForm">
								<input type="radio" id="localType" dojoType="dijit.form.RadioButton" name="type" checked onMouseOver='handleLocalRadioMouseOver()'/><label for="localType"> <%= Messages.getString("locallbl", locale)%></label>
								<input type="radio" id="remoteType" dojoType="dijit.form.RadioButton" name="type"/><label for="remoteType"> <%= Messages.getString("remotelbl", locale)%></label>
							</form>
						</td>
					</tr>
					
					<tr id="prevNameRow" style="display:none">
						<td style="text-align:left;"><br/><label for="prevName"><%= MessageLibrary.getString("Previous", locale)%>:</label></td>
						<td colspan="4"><br/>
							<input 
								type="text" 
								id="prevName" 
								name="prevName" 
								style="width:300px"
								readOnly="true"
								dojoType="dijit.form.ValidationTextBox" />
						</td>
					</tr>	
					<tr>
						<td style="text-align:left;"><br/><label for="sitename"><%= Messages.getString("namelbl", locale)%>:</label></td>
						<td colspan="4"><br/>
							<input 
								type="text" 
								id="sitename" 
								name="sitename" 
								style="width:300px"
								tooltipPosition="left"
								required="true"
								dojoType="dijit.form.ValidationTextBox" />
						</td>
					</tr>
					<!-- Padding -->
					<tr height="2px">
						<td colspan="6">
						</td>
					</tr>
					<tr id="prevRow">
						<td style="text-align:left;"><br/><label for="prevFile"><%= MessageLibrary.getString("File", locale)%>:</label></td>
						<td colspan="4"><br/>
							<input 
								type="text" 
								id="prevFile" 
								name="prevFile" 
								style="width:300px"
								readOnly="true"
								dojoType="dijit.form.ValidationTextBox" />
						</td>
					</tr>	
					<tr id="localRow">
						<td style="text-align:left;"><br/><span id="fileInputLabel" class="help_csh"><%= MessageLibrary.getString("File", locale)%>:</span></td>
						<td colspan="4"><br/>
							<form id="fileForm" method="post" enctype="multipart/form-data" name="fileForm"  target="dojoIoIframe">
								<input id="fileInput" type="file" name="fileInput" size="35"/>
							</form>
						</td>
					</tr>
					<tr id="remoteRow" style="display:none">
						<td style="text-align:left;"><br/><label id="URLInputLabel" for="siteURL" class="help_csh"><%= MessageLibrary.getString("URL", locale)%>:</label></td>
						<td colspan="4"><br/>
							<input 
								type="text" 
								id="siteURL" 
								name="siteURL" 
								style="width:300px"
								tooltipPosition="left"
								dojoType="dijit.form.ValidationTextBox" />
						</td>
					</tr>
					<!-- Padding -->
					<tr height="2px">
						<td colspan="6">
						</td>
					</tr>
					<tr>
						<!-- Site.xml file error message -->
						<td colspan="6" style="text-align:center;">
							<div dojoType="dijit.layout.ContentPane" parseOnLoad="true" jsId="siteXMLWarning" id="siteXMLWarning" style="color:black; font-weight:bold;"></div>
						</td>
					</tr>
					<!-- Padding -->
					<tr height="2px">
						<td colspan="6">
						</td>
					</tr>
					<tr>
						<td>
							<div id="helpButton" style="alignment:left; display:none">
								<button dojoType="dijit.form.Button" showLabel="false" iconClass="UA_Icons help" style="alignment:left;" onclick="showIEFakepathHelp()"><%= Messages.getString("helplbl", locale)%></button>
							</div>
						</td>
						<!-- Ok and Cancel buttons -->
						<td colspan="6" style="text-align:center;">
							<button id="okSiteXMLUploadButton" 
								dojoType="dijit.form.Button" 
								type="submit">
									<%= Messages.getString("oklbl", locale)%></button>
							<button id="cancelSiteXMLUploadButton" dojoType="dijit.form.Button" type="submit" onclick="dijit.byId('optionsDialog').hide()" iconClass="mailIconCancel"><%= Messages.getString("cancellbl", locale)%></button>
						</td>
					</tr>
				</table>
			</div>
		</div>
		
		<!-- End Dojo dialog - ADD INTERNAL SITES -->
		
		<!-- Progress bar Modal Dialog -->
		<div dojoType="dijit.Dialog" id="progressDialog" title="<%=progressDialogTitle%>">
			<table width="530px">
				<tr><td><div id="statusbar" jsId="statusbar" dojoType="dijit.layout.ContentPane" style="overflow: hidden; white-space nowrap;" parseOnLoad="true"></div></td></tr>
				<tr><td><div dojoType="dijit.ProgressBar"  jsId="progressbar" id="progressbar"></div></td></tr> 
				<tr><td colspan="2" style="text-align:right;"><br/><br/>
					<div jsId="progressDlgButton" id="progressDlgButton" dojoType="dijit.layout.ContentPane" parseOnLoad="true"></div>
				</td></tr>
				<tr><td colspan="2" style="text-align:left;">
					<div id="chkShowStatusPane" dojoType="dijit.layout.ContentPane" style="visibility:hidden">
						<input id="chkShowStatus" type="checkbox" dojoType="dijit.form.CheckBox" name="" onclick="toggleShowProgressStatus(this)"/>
						<label for="chkShowStatus"> <%= Messages.getString("showstatuslbl", locale) %></label>
					</div>
				</td></tr>
				<tr><td colspan="2" style="text-align:left;">
					<div jsId="progressDlgStatus" id="progressDlgStatus" dojoType="dijit.layout.ContentPane" parseOnLoad="true"></div>
				</td></tr>
			</table>
		</div>
		<!-- <div id="statusbarTooltip" class="tip">This is a Javascript Tooltip</div> -->
		<!-- End Progress bar Modal Dialog  -->
		
		<!-- Error Message Modal Dialog -->
		<div dojoType="dijit.Dialog" id="errorMsgDialog" title="<%=errorMessageLabelDialogTitle%>">
			<table width="400px" style="font-size: 85%">
				<tr><td><div id="errorMsg" jsId="errorMsg" dojoType="dijit.layout.ContentPane" parseOnLoad="true"></div></td></tr>
				<tr><td><br/></td></tr>
				<tr><td><div id="errorDetails" jsId="errorDetails" dojoType="dijit.layout.ContentPane" parseOnLoad="true" style="display:none"></div></td></tr>
				<tr><td><br/></td></tr>
				<tr>
					<td colspan="2" style="text-align:right;">
						<button id="errorDetailsButton" dojoType="dijit.form.Button" onclick="toggleErrorDetails(this)"><%= Messages.getString("showstatuslbl", locale)%></button>
						<button dojoType="dijit.form.Button" type="submit"><%= Messages.getString("oklbl", locale)%></button>
					</td>
				</tr>
			</table>        
		</div>
		<!-- End Error Message Modal Dialog -->
		
		<!-- Warning Message Modal Dialog -->
		<div dojoType="dijit.Dialog" id="warningMsgDialog" title="<%=warningMessageLabelDialogTitle%>">
			<table width="400px" style="font-size: 85%">
				<tr><td><div id="warningMsg" jsId="warningMsg" dojoType="dijit.layout.ContentPane" parseOnLoad="true"></div></td></tr>
				<tr><td colspan="2" style="text-align:right;"><br/>
					<button id="warningMsgOKButton" dojoType="dijit.form.Button" type="submit" onclick="handleWarningDialogOK()"><%= Messages.getString("oklbl", locale)%></button>
					<button id="warningMsgCancelButton" dojoType="dijit.form.Button" onclick="dijit.byId('warningMsgDialog').hide()" iconClass="mailIconCancel"><%= Messages.getString("cancellbl", locale)%></button>
				</td></tr>
			</table>        
		</div>
		<!-- End Warning Message Modal Dialog -->
        
		<!-- Install Dependencies Modal Dialog -->
		<div dojoType="dijit.Dialog" id="installDependenciesDialog" title="<%=dependencyFoundDialogTitle%>">
			<table width="400px">
				<tr>
					<td style="text-align:left;"><div id="dependencyContent" jsId="dependencyContent" dojoType="dijit.layout.ContentPane" parseOnLoad="true"></div></td>
				</tr>
				<tr valign="top">
					<td style="text-align:right;"><br/><br/>
						<div jsId="dependencyDlgButton" id="dependencyDlgButton" dojoType="dijit.layout.ContentPane" parseOnLoad="true"></div>
					</td>
				</tr>
			</table>
		</div>
		<!-- End Install Dependencies Modal Dialog -->
		
	</body>
</html>
