<%@ page language="java" contentType="text/html;UTF-8" pageEncoding="UTF-8" import="
  com.ibm.ut.commenter.service.*,
  java.util.*, 
  com.ibm.ut.help.common.web.*, 
  com.ibm.ut.help.common.error.*, 
  com.ibm.ut.help.common.*, 
  com.ibm.ut.help.common.security.*, 
  com.ibm.ut.commenter.*, 
  javax.servlet.http.*, 
  org.eclipse.core.runtime.Preferences;"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<%
	Locale locale = LocaleUtil.getLocale(request);
	ErrorStatus error = (ErrorStatus)request.getAttribute("error");
	IAuthenticator auth = (IAuthenticator)request.getAttribute("aux");
%>
<html class="help-login">
    <head>
    	<title><%=MessageLibrary.getString("Error",locale)%></title>
        <link rel="STYLESHEET" type="text/css" href="../topic/com.ibm.ut.help.common/css/utcommon.css" />
		<script type="text/javascript" src="../dojotoolkit/dojo/dojo.js.uncompressed.js" djConfig="isDebug:true,parseOnLoad:true"></script>
        <script type="text/javascript" src="../topic/com.ibm.ut.help.common/scripts/utcommon.js"></script>     
 
        <style type="text/css">
        
            @import "../dojotoolkit/dojo/resources/dojo.css";
            @import "../dojotoolkitext/ibm/themes/jazz/jazz.css";
            @import "../edojo/ibm/widget/resources/ErrorDialog.css";
            
            .login-desc{
	            left: 130px;
				position: relative;
				top: 100px;
				margin:10px;
				width:290px;
            }
            .login-inputs{
	            left: 130px;
				position: relative;
				top: 120px;
				margin:10px;
				width:200px;
            }
            
            #errorStatus{
            	margin:10px;
            	width:330px;
            }
			
        </style>
        <script type="text/javascript">

            dojo.require("dijit.Dialog");
            dojo.require("dojo.cookie");
			
			dojo.registerModulePath("ibm", "../../edojo/ibm");
			dojo.require("ibm.widget.ErrorDialog");

            dojo.addOnLoad(function(){
               	
            	var d = new ibm.widget.ErrorDialog({
            		style: 'width:700px;',
            		title: '<%=MessageLibrary.getString("Error",locale)%>',
            		eid: '<%=error.getEid()%>',
            		content: '<em><%=error.getEid()%></em>: <%=error.getMessage()%>',
            		stack: '<%=error.getStack()%>',
            		searchCriteria: '<%=error.getEid()%> IBM Rational <%=error.getMessage()%>',
            	<% if (error.getHelp()!=null){%>
	            	helpHref: '<%=error.getHelp().getHref()%>',
	            	helpTitle: '<%=error.getHelp().getTitle()%>',
            	<%}if (error.getAction()!=null){%>
            		actionLabel: '<%=error.getAction().getLabel()%>',
            		actionFunction: window['<%=error.getAction().getJSFunctionName()%>'],
            	<%}	%>
            	});
            	
            <% if (error.getAction()!=null){%>
            	d.addFunction('<%=error.getAction().getJSFunctionName()%>','<%=error.getAction().getJSFunctionName()%>',"<%=error.getAction().getJSFunctionBody()%>");
            <%}	%>
				d.show();
	        });
            

            
        </script>
    </head>

    <body class="jazz">    	
	    <div id="jazz-ui-underlay" style="height: 559px; opacity: 0.06; z-index: 999; top: 0px; left: 0px;"></div>
 
	</body>
</html>
       