

function pdfOnLoad()
{
	var helpFrame = window.parent.parent;
	var frame = helpFrame.frames["NavFrame"];
	if (frame==null)
	{
		setTimeout("addFilterButton()",50);
		return;
	}	
	frame = frame.frames["ViewsFrame"];
	if (frame==null)
	{
		setTimeout("addFilterButton()",50);
		return;
	}	
	frame = frame.frames["toc"];
	if (frame==null)
	{
		setTimeout("addFilterButton()",50);
		return;
	}	
	var tocViewFrame = frame.frames["tocViewFrame"];
	frame = frame.frames["tocToolbarFrame"];
	if (frame==null)
	{
		setTimeout("pdfOnLoad()",50);
		return;
	}
	
	if (frame.document.getElementById("pdfLink")!=null)
		return;
		
	var tr = frame.document.getElementById("b0");
	if (tr==null)
		setTimeout("pdfOnLoad()",50);
	else
	{	
		tr = tr.parentNode.parentNode;
		var a = frame.document.createElement("a");
		a.setAttribute("id","pdfLink");
		a.setAttribute("href","javascript:pdfMenu('../')");
		a.innerHTML='<img border="0" id="pdfImg" title="Print to PDF" alt="PDF" src="../topic/com.ibm.ccl.ut.pdf/image/printPDF.gif">';
	
		var button = frame.document.createElement("td");
		button.setAttribute('class','button');
		button.appendChild(a);
		
		
		var sep = frame.document.createElement("td");
		sep.setAttribute('class','separator');
		sep.setAttribute('valign','middle');
		sep.setAttribute('align','middle');
				
		tr.insertBefore(sep,tr.firstChild);
		tr.insertBefore(button,sep);
	
		var script = frame.document.createElement("script");
		script.setAttribute("type","text/javascript")
		script.setAttribute("src", "../topic/com.ibm.ccl.ut.pdf/js/pdf.js");
		frame.document.getElementsByTagName("head")[0].appendChild(script);
	
		var script = tocViewFrame.document.createElement("script");
		script.setAttribute("type","text/javascript")
		script.setAttribute("src", "../topic/com.ibm.ccl.ut.pdf/js/pdf.js");
		tocViewFrame.document.getElementsByTagName("head")[0].appendChild(script);
	}
}



function pdfMenu(baseURL)
{
	javascript:menu('b0','Convert\u0020selected\u0020topic\u0020to\u0020PDF=pdfTopic(\'You\u0020must\u0020select\u0020a\u0020valid\u0020topic\u0020to\u0020convert\'),Convert\u0020selected\u0020topic\u0020and\u0020all\u0020subtopics\u0020to\u0020PDF=pdfToc(\'You\u0020must\u0020select\u0020a\u0020valid\u0020topic\u0020to\u0020convert\'),Convert\u0020the\u0020entire\u0020Information\u0020Center\u0020to\u0020PDF=pdfIC(\''+baseURL+'\'),Modify\u0020PDF\u0020Generation\u0020Settings=pdfSettings(\''+baseURL+'\')');
}


function pdfTopic(errorMsg) {
	var pdfpath;
	var topic;
	if (parent.tocViewFrame!=null){
		topic = parent.tocViewFrame.getSelectedTopic();
		pdfpath = "../com.ibm.ccl.ut.pdf";
	}
	else{
		topic = location.pathname.substring(1);
		topic = topic.substring(topic.indexOf("/")+1);
		topic = topic.substring(topic.indexOf("/"));
		pdfpath = "../com.ibm.ccl.ut.pdf";
	}
	if (topic && topic != ":blank") {
		var indexAnchor=topic.indexOf('#');
	    var parameters;			
	    if (indexAnchor!=-1) {
		    var anchor=topic.substr(indexAnchor+1);
		    topic=topic.substr(0,indexAnchor);
		    parameters = "?topics="+topic+"&subtopics=false&anchor="+anchor;	
	     } else {
		    parameters = "?topics="+topic+"&subtopics=false";
	     }

		var printWindow = window.open(pdfpath + parameters, "pdfWindow", "directories=yes,location=no,menubar=yes,resizable=yes,scrollbars=yes,status=yes,titlebar=yes,toolbar=yes");
	}
	else {
		alert(errorMsg);
	}
}

function pdfToc(errorMsg) {
	var pdfpath;
	var topic;
	if (parent.tocViewFrame!=null){
		topic = parent.tocViewFrame.getSelectedTopic();
		pdfpath ="../com.ibm.ccl.ut.pdf";
	}
	else{
		topic = location.pathname.substring(1);
		topic = topic.substring(topic.indexOf("/")+1);
		topic = topic.substring(topic.indexOf("/"));
		pdfpath = "../com.ibm.ccl.ut.pdf";
	}
	if (topic && topic != ":blank") {
		var indexAnchor=topic.indexOf('#');
	    var parameters;			
	    if (indexAnchor!=-1) {
		    var anchor=topic.substr(indexAnchor+1);
		    topic=topic.substr(0,indexAnchor);
		    parameters = "?topics="+topic+"&subtopics=true&anchor="+anchor;	
	     } else {
		    parameters = "?topics="+topic+"&subtopics=true";
	     }

		var printWindow = window.open(pdfpath + parameters, "pdfWindow", "directories=yes,location=no,menubar=yes,resizable=yes,scrollbars=yes,status=yes,titlebar=yes,toolbar=yes");
	}
	else {
		alert(errorMsg);
	}
}

function pdfIC(baseURL)
{
	window.open(baseURL+"com.ibm.ccl.ut.pdf?topics=all", "pdfWindow", "directories=yes,location=no,menubar=yes,resizable=yes,scrollbars=yes,status=yes,titlebar=yes,toolbar=yes");
}

function pdfSettings(baseURL)
{
	var	pdfpath = baseURL+"com.ibm.ccl.ut.pdf";
	window.open(pdfpath, "settingsWindow", "directories=yes,location=no,menubar=yes,resizable=yes,scrollbars=yes,status=yes,titlebar=yes,toolbar=yes");
}



///////////////////// progress bar ////////////////////////
var TIMER;

function startProgressMonitoring(xid,uri)
{	
	var p = dijit.byId('progressBar');
	if (p==null){
		p = new dijit.ProgressBar({
			id:'progressBar',
			maximum:100,
			style:'width:400px'
		});
		document.getElementById('progressBarDiv').appendChild(p.domNode);
	}

	if (TIMER) {
		clearTimeout(TIMER);
		TIMER = null;
	}
	else{
		p.update({indeterminate: true});
	}
	
	TIMER = setTimeout("requestUpdate('"+xid+"','"+uri+"')", 500);
}

function requestUpdate(xid,uri) {
	
	dojo.xhrPost({
		url: 'com.ibm.ccl.ut.pdf?'+uri,
		handleAs: "text",
		content: {
			xid: xid,
			progress: 'true'
		},
		load: function(data, ioArgs) {
			
			update(data, xid, uri);
			return;
		},
		error: function(data, ioArgs) {
//			document.getElementById('statusfield').innerHTML = 'Could not build PDF - connection to Help System lost.  Please try again.';
			document.getElementById('progressBar').innerHTML = 'Could not build PDF - connection to Help System lost.  Please try again.'; //style.display='none';
//			document.getElementById('cancelbutton').style.display='none';
			return;
		}
	});
	
}

function update(data,xid,uri)
{
	dijit.byId('progressBar').update({indeterminate: false});
	var percentStr = 
		data.substring(
			data.indexOf("<percent>")+"<percent>".length,
			data.indexOf("</percent>"));
	var percent = parseInt(dojo.trim(percentStr));

	var name = 
		data.substring(
			data.indexOf("<task>")+"<task>".length,
			data.indexOf("</task>"));
			
	if (data.indexOf("error")>-1)
	{
		var error = 
			data.substring(
				data.indexOf("<error>")+"<error>".length,
				data.indexOf("</error>"));
		
		var div = document.getElementById("task");
		div.innerHTML=error;
		
		alert(error);
		return;
	}
	
	refresh(percent,name);
	
	if (percent<100)
	{
		startProgressMonitoring(xid,uri);
	}
	else{
		submit();
	}
}

function refresh(percent,name){
	dijit.byId('progressBar').update({ maximum: 100, progress:percent });
	var div = document.getElementById("task");
	div.innerHTML=name;
}

function submit()
{
	document.hiddenForm.submit();
}

function cancel(xid,uri)
{
	dojo.xhrPost({
		url: 'com.ibm.ccl.ut.pdf?'+uri,
		handleAs: "text",
		content: {
			xid: xid,
			progress: 'true',
			cancel: 'true'
		}
	});

	window.close();
}

function ok()
{
	saveSettings();
	window.close();
}

function apply()
{
	saveSettings();
}

function saveSettings()
{
	var str = 'a:';

	str += getRadioValue(document.forms['settings'].elements['a']);
	
	str+=',s:'
	
	if (document.getElementById('check_s').checked){
		str+='remote';
	}else{
		str+='local';
	}

	document.cookie = 'pdfSettings='+str+'; expires=13/06/2030 00:00:00; path=/'
}

function loadSettings()
{
	setRadioValue(document.forms['settings'].elements['a'],1);
	
	var settings = getCookie('pdfSettings').split(',');
	for (var s=0;s<settings.length;s++)
	{
		var key = settings[s].substring(0,settings[s].indexOf(":")).trim();
		var val = settings[s].substring(settings[s].indexOf(":")+1).trim();
		
		if (key=='a')
			setRadioValue(document.forms['settings'].elements['a'],val);
		else if (key=='s')
			document.getElementById('check_s').checked = (val=='remote');
	}
}

function getCookie(name)
{
	var cookies = document.cookie.split(';');
	for (var c=0;c<cookies.length;c++)
	{
		var key = cookies[c].substring(0,cookies[c].indexOf("=")).trim();
		
		if (key==name)
			return val = cookies[c].substring(cookies[c].indexOf("=")+1).trim();
	}
	return '';
}

function getRadioValue(node)
{
	for (var n=0;n<node.length;n++)
	{
		if (node[n].checked==true)
		{
			return node[n].value;
		}
	}
	return -1;
}

function setRadioValue(node,value)
{
	for (var n=0;n<node.length;n++)
	{
		node[n].checked = false;
		if (node[n].value==value)
		{
			node[n].checked = true;
		}
	}
}