<%@ page language="java" contentType="text/html;UTF-8" pageEncoding="UTF-8" import="
	com.ibm.ut.commenter.service.*,
	java.util.*,
	com.ibm.ut.help.common.web.*, 
	com.ibm.ut.help.common.*, 
	com.ibm.ut.help.common.error.*, 
	com.ibm.ut.help.common.security.*, 
	com.ibm.ut.commenter.*, 
	javax.servlet.http.*, 
	org.eclipse.core.runtime.Preferences;
"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<%
	Locale locale = LocaleUtil.getLocale(request);
	String description = request.getAttribute("description")!=null ? (String)request.getAttribute("description") : "Please enter your username and password for access to this site.";
	ErrorStatus error = (ErrorStatus)request.getAttribute("error");
%>
<html class="help-login">
    <head>
    	<title><%=MessageLibrary.getString("Login",locale)%></title>
        <link rel="stylesheet" type="text/css" href="../dojotoolkit/dijit/themes/tundra/tundra.css" />
        <link rel="STYLESHEET" type="text/css" href="../com.ibm.ut.help.common/css/utcommon.css" />
		<script type="text/javascript" src="../dojotoolkit/dojo/dojo.js.uncompressed.js" djConfig="isDebug:true,parseOnLoad:true"></script>
        <script type="text/javascript" src="../com.ibm.ut.help.common/scripts/utcommon.js"></script>     
 
        <style type="text/css">
        
            @import "../dojotoolkit/dojo/resources/dojo.css";
            @import "../dojotoolkitext/ibm/themes/jazz/jazz.css";
            @import "../edojo/ibm/widget/resources/ErrorDialog.css";
            @import "../edojo/ibm/widget/resources/InlineError.css";
            
            .login-desc{
	            left: 130px;
				position: relative;
				top: 100px;
				margin:10px;
				width:290px;
            }
            .login-inputs{
	            left: 130px;
				position: relative;
				top: 120px;
				margin:10px;
				width:200px;
            }
            
            #errorStatus{
	            margin: 10px 10px 10px 0px;
				position: absolute;
				bottom: 0px;
            }
            .utInlineErrorTable{
            	width:606px;
            }
			
        </style>
        <script type="text/javascript">

            dojo.require("dijit.TitlePane");
            dojo.require("dijit.Dialog");
			dojo.require("dijit.form.ToggleButton");
            dojo.require("dijit.form.ValidationTextBox");
			
			dojo.registerModulePath("ibm", "../../edojo/ibm");
			dojo.require("ibm.widget.ErrorDialog");
			dojo.require("ibm.widget.InlineError");

            dojo.addOnLoad(function(){
				dijit.byId("loginDialog").show();
				
<%	if (error!=null) {	%>
				var inlineError = new ibm.widget.InlineError({
					content:'<%=error.getEid()%>: <%=error.getMessage()%>',
					id:'inlineError',
					stack:'<%=error.getStack()%>',
					eid:'<%=error.getEid()%>',
				});
				document.getElementById("errorStatus").appendChild(inlineError.domNode);
<%	}	%>				
	        });
            
            function login()
            {            
        		dojo.xhrPut({
					url: '<%=(String)request.getAttribute("requester")%>?dispatch=login.jsp',
					putData:'user='+dijit.byId('user').value+'&password='+dijit.byId('pass').value,
					handleAs: "text",
					load: function(data, ioArgs) {
					
						if (data.indexOf('"eid":')>-1)
						{
							data = dojo.fromJson(data);
						
							var inlineError = dijit.byId("inlineError");
							if (inlineError!=null)
								inlineError.destroy();
  				   			console.info("create ibm.widget.InlineError");
  				   			
  				   			
  				   			
							inlineError = new ibm.widget.InlineError({
								content:data.eid+':\n'+data.message,
								id:'inlineError',
								eid:data.eid,
								stack:data.stack,
								helpHref: data.helpHref,
								helpTitle: data.helpTitle,
								actionLabel: data.actionLabel,
								searchCriteria: data.message+' IBM Rational',
								feedLabel:'<%=MessageLibrary.getString("Help",locale)%>'
							});
  				   			console.info(data.eid+"\n"+data.message+"\n"+data.stack+"\n"+data.helpHref+"\n"+data.helpTitle+"\n"+data.actionLabel);
							if (data.actionFunctionName!=null)
							{
								inlineError.addFunction(data.actionFunctionName,data.actionFunctionName,data.actionFunctionBody);
							}
							document.getElementById("errorStatus").appendChild(inlineError.domNode);
						}
						else
						{
							setTimeout("window.location.reload()",1000);
						}
					},
					handle: function() {
					},
					error: function(data, ioargs) {
						alert(data.message);
					}
				});	
            }
        </script>
    </head>

    <body class="jazz">    	
	    <div id="jazz-ui-underlay" style="height: 559px; opacity: 0.06; z-index: 999; top: 0px; left: 0px;"></div>
 
		<div dojoType="dijit.Dialog" id="loginDialog" class="help-login" style="width:640px;height:450px;background:url('../com.ibm.ut.help.common/images/login.bmp') repeat-x scroll 0 0 white;">
			<div class="login-desc"><%=description%></div>
			<div class="login-inputs">
				<label for="user" id="userLabel"><%= MessageLibrary.getString("User", locale)%>: </label>
				<input type="text" 
					id="user" 
					name="user" 
					style="width:300px;margin-top:10px;margin-bottom:10px"
					required="true"
					invalidMessage="User name required"
					dojoType="dijit.form.ValidationTextBox" />
				<label for="user" id="passLabel"><%= MessageLibrary.getString("Password", locale)%>: </label>
				<input type="password" 
					id="pass" 
					name="pass" 
					style="width:300px;margin-top:10px;margin-bottom:10px"
					required="true"
					invalidMessage="User name required"
					dojoType="dijit.form.ValidationTextBox"/>
				<input type="submit" onclick="login()" value="<%=MessageLibrary.getString("Login",locale)%>"/>
			</div>
			<div id="errorStatus"> </div>
		</div>  
				
	</body>
</html>
       