﻿/*
 * Licensed Material - Property of IBM 
 * (C) Copyright IBM Corp. 2010 - All Rights Reserved.
 * US Government Users Restricted Rights - Use, duplication or disclosure 
 * restricted by GSA ADP Schedule Contract with IBM Corp. 
 */

// --------------------------------------------------
// Localized Strings -- User Assistance Web Delivery 
// --------------------------------------------------

{
updateInProgressMsg : "Uwaga: Nie klikaj przycisku Wstecz przeglądarki w trakcie aktualizacji",
installInProgressMsg : "Uwaga: Nie klikaj przycisku Wstecz przeglądarki w trakcie instalacji",
uninstallInProgressMsg : "Uwaga: Nie klikaj przycisku Wstecz przeglądarki w trakcie deinstalacji",
publicSiteslbl : "Serwisy publiczne",
internalSiteslbl : "Serwisy wewnętrzne",
siteNamelbl : "Nazwa",
siteLoclbl : "Położenie",
availFeaturelbl : "Dostępne składniki",
installFeaturelbl : "Zainstalowane składniki",
featureDesclbl : "Opis składnika",
includedFeatureslbl : "Zawarte składniki",
installlbl : "Instaluj",
removelbl : "Usuń",
featurelbl : "Składnik",
installSizelbl : "Wielkość instalacji",
statuslbl : "Status",
addSitelbl : "Dodawanie serwisu wewnętrznego",
viewEditSitelbl : "Wyświetlenie i edycja serwisu wewnętrznego",
siteTypelbl : "Typ serwisu",
namelbl : "Nazwa",
oklbl : "OK",
cancellbl : "Anuluj",
restartmsg : "System pomocy zostanie teraz zrestartowany w celu uwzględnienia zmian",
installfailedmsg : "Próba zainstalowania składnika zakończyła się niepowodzeniem",
errorConnectmsg : "Nie można nawiązać połączenia z adresem URL serwisu",
noFeaturemsg : "Nie znaleziono składników",
searchFeaturemsg : "Wyszukaj aktualizacje",
seeLogMsg : "Szczegółowe informacje znajdują się w dzienniku",

featureDescriptionlbl : "Opis składnika",
includedFeaturelbl: "Zawarte składniki",
clearlbl: "Wyczyść",
messagelbl: "Komunikat",
typelbl : "Typ",
warninglbl : "Ostrzeżenie",
messageerrorlbl : "Błąd",
infolbl : "Informacje",
installingFeaturelbl : "Instalowanie składnika",
uninstallingFeaturelbl : "Deinstalowanie składnika", 
updatesAppliedlbl : "Zastosowano aktualizacje",
sitesSavedlbl : "Serwisy zostały pomyślnie zapisane",
savingSitelbl : "Zapisywanie serwisu lokalnego",
locallbl : "Lokalny",
remotelbl : "Zdalny",
processFeatureslbl : "Przetwarzanie składników...",
restartWaitlbl : "Proszę czekać. System pomocy jest restartowany w celu uwzględnienia zmian.",
platformResetlbl : "Platforma została zresetowana. W celu uwzględnienia zmian należy zrestartować produkt.",
retrieveFeatureslbl : "Pobieranie składników...",
contactServerlbl : "Kontaktowanie się z serwerem...",
searchForUpdateslbl : "Wyszukiwanie aktualizacji...",
prepareInstalllbl : "Przygotowywanie do instalacji...",
prepareUninstalllbl : "Przygotowywanie do deinstalacji...",
selectUpdateSitelbl : "Wybierz serwisy, w których mają zostać wyszukane aktualizacje.",
errorResettinglbl : "Błąd podczas restartowania systemu pomocy",
errorConnectingPlatformlbl: "Błąd podczas nawiązywania połączenia z platformą",
runinbckgrndlbl : "Uruchom w tle",
errorFFBrowserSecuritylbl : 'Nie można uzyskać dostępu do plików lokalnych ze względu na ustawienia zabezpieczeń przeglądarki.<br/>Aby uzyskać dostęp do plików lokalnych, wykonaj następujące kroki:<br/>(1) W polu adresu URL w oknie przeglądarki wpisz about:config. W przeglądarce zostanie wyświetlona strona preferencji konfiguracji.<br/>(2) Na wyświetlonej stronie preferencji konfiguracji kliknij prawym przyciskiem myszy i z menu kontekstowego wybierz opcję Nowy > Wartość boolowska.<br/>(3) Wprowadź nową nazwę preferencji „signed.applets.codebase_principal_support” (bez cudzysłowu).<br/>(4) Kliknij przycisk OK.<br/>(5) Spróbuj ponownie dodać plik site.xml.',
errorRelativePathNotAllowed : "Nie można załadować pliku '{0}': nie wolno używać ścieżek względnych. Podaj ścieżkę bezwzględną do tego pliku.",
errorFileNotFound : "Nie znaleziono pliku '{0}'.",
errorIEBrowserSecuritylbl : 'Nie można uzyskać dostępu do plików lokalnych ze względu na ustawienia zabezpieczeń przeglądarki.<br/>Aby uzyskać dostęp do plików lokalnych, wykonaj następujące kroki:<br/>(1) W oknie przeglądarki Internet Explorer kliknij opcję Narzędzia > Opcje internetowe.<br/>(2) Na karcie Zabezpieczenia kliknij przycisk Poziom niestandardowy.<br/>(3) Aktywuj opcję Inicjowanie i wykonywanie skryptów ActiveX niezaznaczonych jako bezpieczne do wykonywania.<br/>(4) Kliknij przycisk OK. <br/>(5) Spróbuj ponownie dodać plik site.xml.',
errorNoFilePermission : "Nie można uzyskać dostępu do pliku lokalnego '{0}' ze względu na ustawienia uprawnień do pliku. Sprawdź, czy odczyt pliku i/lub jego katalogów macierzystych jest możliwy.",
infoOperationRunning : "Obecnie wykonywana jest operacja.<br/>Proszę czekać...",
errorReadFeatureList : "Wystąpił błąd podczas odczytywania wybranych składników",
infoInstallDependencyFeature : "Wybrany składnik wymaga „{0}”.<br/><br/>Aby można było wyświetlać tematy pomocy, konieczna jest również instalacja „{1}”.",
infoUninstallDependencyFeature : "„{0}” wymaga składnika, który został wybrany do deinstalacji.<br/><br/>Konieczna jest również deinstalacja „{1}”.",
confirmCancelInstall : "Anulowanie bieżącej instalacji spowoduje wycofanie zmian i przywrócenie starego stanu. Ten proces trwa kilka minut. Czy kontynuować?",
readPendingTask : "Odczytywanie w poszukiwaniu oczekującej operacji z ostatniej sesji.<br/>Proszę czekać...",
readRollbackFeatureList : "Odczytywanie informacji o składniku w celu wycofania zmian spowodowanych przez bieżącą instalację.<br/>Proszę czekać...",
errorReadPendingTaskFailed : "Wystąpił błąd podczas odczytywania oczekującej operacji z ostatniej sesji",
infoCancelInProgress : "Anulowanie bieżącej operacji.<br/>Proszę czekać...",
allsiteslbl : "Wszystkie serwisy",
publicsiteslbl : "Serwisy publiczne",
internalsiteslbl : "Serwisy wewnętrzne",
installedappcontentlbl : "Treść zainstalowanych aplikacji",
downloadfeatures : "Pobieranie składników...",
installfeatures : "Instalowanie oprogramowania...",
uninstallfeatures : "Usuwanie oprogramowania...",
updatefeatures : "Aktualizowanie oprogramowania...",
showstatuslbl : "Pokaż szczegóły",
aboutLocalHelpSystem : "Informacje o lokalnym systemie pomocy",
lhuTitle : "Program aktualizujący pomoc lokalną",
dependencyFound : "Znaleziono zależność"
}
